%define upstream_name    bareword-filehandles
%define upstream_version 0.007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Disables bareword filehandles
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/bareword/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Hooks::OP::Check)
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XSLoader)
BuildRequires: perl(if)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
Provides:   perl(bareword::filehandles)

%description
This module lexically disables the use of bareword filehandles with builtin
functions, except for the special built-in filehandles 'STDIN', 'STDOUT',
'STDERR', 'ARGV', 'ARGVOUT' and 'DATA'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Fri Aug 23 2024 tv <tv> 0.7.0-10.mga10
+ Revision: 2088956
- Rebuild for perl-5.40

* Thu Aug 22 2024 neoclust <neoclust> 0.7.0-9.mga10
+ Revision: 2087871
- Rebuild against perl 5.40

* Tue Nov 28 2023 tv <tv> 0.7.0-8.mga10
+ Revision: 2010517
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 0.7.0-7.mga9
+ Revision: 1861545
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.7.0-6.mga9
+ Revision: 1796276
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.7.0-5.mga9
+ Revision: 1726396
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.7.0-4.mga8
+ Revision: 1594293
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.7.0-3.mga8
+ Revision: 1529350
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.7.0-2.mga8
+ Revision: 1433352
- rebuild for perl 5.30

* Sat Jun 29 2019 tv <tv> 0.7.0-1.mga8
+ Revision: 1415968
- update to 0.007

* Fri Sep 21 2018 umeabot <umeabot> 0.6.0-3.mga7
+ Revision: 1294079
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.6.0-2.mga7
+ Revision: 1249937
- Rebuild for perl 5.28

* Tue May 01 2018 tv <tv> 0.6.0-1.mga7
+ Revision: 1224376
- update to 0.006

* Mon Oct 02 2017 tv <tv> 0.5.0-3.mga7
+ Revision: 1163152
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.5.0-2.mga7
+ Revision: 1150074
- Rebuild for perl ABI changes

* Mon Jul 24 2017 sander85 <sander85> 0.5.0-1.mga7
+ Revision: 1129844
- update to 0.005
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.3.0-17.mga6
+ Revision: 1022688
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.3.0-16.mga6
+ Revision: 956738
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 tv <tv> 0.3.0-15.mga6
+ Revision: 846050
- rebuild for soname-ifed perl

* Fri Jun 26 2015 tv <tv> 0.3.0-14.mga6
+ Revision: 844737
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.3.0-13.mga6
+ Revision: 840807
- Rebuild for perl 5.22
+ shlomif <shlomif>
- Rebuild for new perl

* Sun Oct 19 2014 umeabot <umeabot> 0.3.0-11.mga5
+ Revision: 790022
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-10.mga5
+ Revision: 742030
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-9.mga5
+ Revision: 687015
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.3.0-8.mga5
+ Revision: 632355
- perl 5.20.0 rebuild

* Tue Feb 25 2014 jquelin <jquelin> 0.3.0-7.mga5
+ Revision: 597039
- typo in manual provides

* Tue Feb 25 2014 jquelin <jquelin> 0.3.0-6.mga5
+ Revision: 597010
- perl 5.18.2 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3.0-5.mga4
+ Revision: 525087
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.3.0-4.mga4
+ Revision: 431844
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-3.mga3
+ Revision: 375376
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 21 2012 jquelin <jquelin> 0.3.0-2.mga3
+ Revision: 308849
- adding missing provides

* Sun Aug 05 2012 shlomif <shlomif> 0.3.0-1.mga3
+ Revision: 278686
- Add missing BR
- imported package perl-bareword-filehandles

